Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox software update?

  • 3 replies
  • 0 have this problem
  • 7 views
  • Last reply by James

more options

Hello and good day! In attempting to login to chase.com, it keeps telling me that my Firefox browser needs to be updated every time I login. How can I tell if I have the latest version? Thank you!

Hello and good day! In attempting to login to chase.com, it keeps telling me that my Firefox browser needs to be updated every time I login. How can I tell if I have the latest version? Thank you!

All Replies (3)

more options

It sounds like you got security software that is blocking updates. Did you verify the Security software wasn't blocking updates.

Helpful?

more options

Hi, your Firefox sent this self-identification to the forum:

User Agent:

Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:103.0) Gecko/20100101 Firefox/103.0 Trailer/91.3.2422.23

That last part is not normal. If this is old junk in your Firefox settings, the steps in this article will help you clear it: How to reset the default user agent on Firefox.

Unfortunately, when I searched for more information on "Trailer", I didn't find any results about what program is adding it. However, it has been observed with Chrome, too, so I think it is an external program that is intercepting your browsing. This could be "innocent" software like your security software or something less wholesome (but usually malware doesn't leave a big red flag like that).

One program mentioned in past threads that adds weird stuff to your user agent is Avast AntiTrack / AVG AntiTrack.

Helpful?

more options

The poster in this thread https://support.mozilla.org/en-US/questions/1385639 had a similar issue with the User Agent

The OP said "I found the problem: when I renewed AVG recently, it came bundled with something called Kamo. I had to add my bank's website to Kamo's list of "Allowed sites", and then it worked fine."

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.